part of 'comment_bloc.dart';

class CommentState extends Equatable {
  const CommentState({
    required this.rating,
    required this.isLoading,
    this.comment,
  });

  final double rating;
  final bool isLoading;
  final String? comment;

  CommentState copyWith({double? rating, bool? isLoading, String? comment}) {
    return CommentState(
      rating: rating ?? this.rating,
      isLoading: isLoading ?? this.isLoading,
      comment: comment ?? this.comment,
    );
  }

  @override
  List<Object?> get props => [rating, isLoading, comment];
}
